                 Ghostscript Driver Instruction Manual


Contents
1   About the License Agreement
2   Products Summary
3   Support printer information
4   File Structure
6   How to Install
6   How to Operate
7   Handling Instructions
8   Acknowledgements
9   Changelog



1 About the License Agreement

The "GS Laser Printer Driver for Linux" is distributed under the
terms and conditions of the GNU General Public License (GPL).
The full text of this license is available in the file COPYING or at
http://www.fsf.org/licenses/gpl.html.

THIS PROGRAM IS DISTRIBUTED "AS IS" AND WITHOUT ANY 
WARRANTY WHATSOEVER, INCLUDING WITHOUT LIMITATION, WARRANTIES 
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND/OR 
NON-INFRINGEMENT OF THE RIGHTS OF THIRD PARTIES (INCLUDING 
WITHOUT LIMITATION RIGHTS UNDER PATENT, COPYRIGHT AND TRADE 
SECRETS).  See the GNU General Public License for more details.


2 Products Summary

This is a device driver for EPSON Color Laser Printers and EPSON Laser Printers 
for use with Ghostscript 7.05.

3 Support printer information

The printer that this software is applied to is listed below.

	* SEIKO EPSON Color Laser Printers
	* SEIKO EPSON Monochrome Laser Printers
	  
	  For a list of supported models, please refer to "6 How to Operate"


4 File Structure

ghostscript-7.05-32.1ep3.1.3.i386.rpm    Binary Package
ghostscript-7.05-32.1ep3.1.3.src.rpm     Source Package
eplaser-3.1.3-705.tgz                    Source File
readme-eplaser-705.euc                   Operating Instruction


5 How to Install

The steps to install are illustrated below using GS Laser Printer
Driver Ver3.1.3 as an example.

(1).... Installing a rpm file
This rpm package is version 4 RPM. 
Version 4 RPM package cannot be installed in RedHat6.2. 

Execute the rpm command to complete the installation.
-----------------
# rpm -ivh ghostscript-7.05-32.1ep3.1.3.i386.rpm
-----------------

Execute the following command if any dependent errors occur.
-----------------
# rpm -ivh --replacefiles ghostscript-7.05-32.1ep3.1.3.i386.rpm
-----------------

Note)When conflicts occur during installation, please delete the packages
     involved that cause the conflicts and proceed on with the installation.

  --> Proceed to "(4) .... Setting after installation"


(2).... Installing with an srpm file
This srpm package is version 4 RPM. 
Version 4 RPM package cannot be installed in RedHat6.2. 

A rpm file is created in the directory /usr/src/redhat/RPMS/i386 when the
following command is executed.
-----------------
# rpm --rebuild ghostscript-7.05-32.1ep3.1.3.src.rpm
-----------------
Please install with reference to "(1).... Installing a rpm file".

  --> Proceed to "(4).... Setting after installation".


(3).... Installing with a tgz file
Extract the source file and recompile the ghostscript-7.05,ghostscript-6.52 
or ghostscript-5.50.
ghostscript-7.05 ghostscript-6.52 or Ghostscript-5.50 must be compiled prior to 
this installation.

  STEP 1
  Copy the tgz file to ghostscript source directory.
  -----------------
  For gs7.05
  # cp eplaser-3.1.3-705.tgz /usr/src/redhat/BUILD/ghostscript-7.05/src/
  For gs6.52
  # cp eplaser-3.1.3-705.tgz /usr/src/redhat/BUILD/ghostscript-6.52/src/
  For gs5.50
  # cp eplaser-3.1.3-705.tgz /usr/src/redhat/BUILD/gs5.50/
  -----------------

  STEP 2
  Change the directory to ghostscript source directory.
  -----------------
  For gs7.05
  # cd /usr/src/redhat/BUILD/ghostscript-7.05/src/
  For gs6.52
  # cd /usr/src/redhat/BUILD/ghostscript-6.52/src/
  For gs5.50
  # cd /usr/src/redhat/BUILD/gs5.50/
  -----------------

  STEP 3
  Extract the tgz file.
  -----------------
  # tar xvfz eplaser-3.1.3-705.tgz
  -----------------
  You will be able to see the eplaser directory, gdevescv.c, gdevesmv.c,
  and gdevescv.h.

  STEP 4
  Add gdevescv.mak to contrib.mak. (For color printing)
  -----------------
  For gs7.05
  # cat eplaser-3.1.3/gdevescv7.mak >> contrib.mak
  For gs6.52
  # cat eplaser-3.1.3/gdevescv6.mak >> contrib.mak
  For gs5.50
  # cat eplaser-3.1.3/gdevescv5.mak >> contrib.mak
  -----------------

  Add gdevesmv.mak to contrib.mak. (For monochrome printing)
  -----------------
  For gs7.05
  # cat eplaser-3.1.3/gdevesmv7.mak >> contrib.mak
  For gs6.52
  # cat eplaser-3.1.3/gdevesmv6.mak >> contrib.mak
  For gs5.50
  # cat eplaser-3.1.3/gdevesmv5.mak >> contrib.mak
  -----------------

  STEP 5
  Add alc8500.dev, epl5800.dev and other available devices to Makefile DEVICE_DEVS. 
  Example: DEVICE_DEVS2=$(DD)alc8500.dev $(DD)epl5800.dev
  -----------------
  # vi Makefile
  -----------------

  STEP 6
  Compile the ghostscript and install it.
  -----------------
  # make
  # make install
  -----------------


(4).... Setting after installation
You need to set the command as /etc/printcap and create an appropriate filter for
ghostscript to use it as an lpr filter. 

Example (printcap)
    1     ALC2000:\
    2        :lp=/dev/lp0:\
    3        :sh:\
    4        :if=/usr/local/bin/filterALC2000:\
    5        :sd=/var/spool/lpd/ALC2000:\
    6        :mx#0:

    1:Printer Name
    2:Specifying the Printer Port
    3:Controlling the Cover Sheet
    4:Specifying the input filter
    5:Specifying the Spool Directory
    6:Specifying the maximum file size for spooling (Set 0 for unlimited size)

    Note) After saving the file, set 'lpc restart all' and restart the lpd.
          If it failes, please execute '/etc/rc.d/init.d/lpd restart'. 

Example (filterALC2000)
    1     #!/bin/sh
    2     /usr/bin/gs -q -dNOPAUSE -dBATCH -sDEVICE=alc2000 -sPAPERSIZE=a4 -sOutputFile=- -

    Note) After saving the file, set the command as 'chmod a+x filterALC2000'
          to give execution authority. 


6 How to Operate

Example of outputting to an AL-C2000 using input filtering
 # lpr -PALC2000 tiger.ps

Example of outputting to an AL-C2000 without input filtering
 # gs -q -dNOPAUSE -dBATCH -sDEVICE=alc2000 -sPAPERSIZE=a4 \
		-sOutputFile=- tiger.ps | lpr -Plp1
  Note) It is assumed that lp1 is configured in /etc/printcap so that it
        does not use an input filter.


Specify the Device
  Specify the following devices from '-sDEVICE' option to use this driver.

	-AL-C8600	-sDEVICE=alc8600
	-AL-C8500	-sDEVICE=alc8500
	-AL-C4100	-sDEVICE=alc4100
	-AL-C4000	-sDEVICE=alc4000
	-AL-C2000	-sDEVICE=alc2000
	-AL-C1900	-sDEVICE=alc1900
	-EPL-6100	-sDEVICE=epl6100
	-EPL-5900	-sDEVICE=epl5900
	-EPL-5800	-sDEVICE=epl5800
	-EPL-N2750	-sDEVICE=epl2750
	-EPL-N2500	-sDEVICE=epl2500
	-EPL-N2120	-sDEVICE=epl2120
	-EPL-N2050+	-sDEVICE=epl2050p
	-EPL-N2050	-sDEVICE=epl2050


Printer resolution selection (Default: 600dpi)
	Select the printer resolution from '-r' option.

	-r300	-r300x300	300dpi
	-r600	-r600x600	600dpi
	-r1200	-r1200x1200	1200dpi

	Note) 1200dpi is only available to the printer with 1200dpi resolution.


Paper tray selection (Default: Panel setting)
	Select '-dManualFeed' manually.


Paper feeder selection (Default: Panel setting)
	Select the feeder from '-dCasset' option.

	-dCasset=2
	Note) Select the feeder (1-15)
	    If 'Paper tray selection (manually)' is selected, it is invalid.


Output trey selection (Default: Face down)
	Select '-dFaceUp' for a face up tray.

	Note) it is only available to the printer with face up tray.


Number of copies (Default: 1)
	'-dNumCopies' and '-dCollate' specify the number of copy.
        (You can choose NumCopies from 1 to 999)

	Example)-dNumCopies=3 -dCollate   Prints three circulations.

	        -dNumCopies=3	      It will print three circulations.

        (Note 1) The circulation print is available for DEVICE=alc2000 and 
                 alc1900, alc4000, alc8600, alc8500, epl2050, epl2050p, epl2750
                  when the optional HDD or an expansion memory is installed.

             -dNumCopies=3  Select -dCollate to print the page as
                  1,2,3,1,2,3,1,2,3.
             When the optional HDD is not installed or a memory is insufficient, 
                  it prints the page as 1,1,1,2,2,2,3,3,3.

        (Note 2) The circulation print is available for DEVICE=epl5800 and 
                 epl2120, epl6100, epl5900, epl2750, epl2500
                  when an expansion memory is installed. 
             Select -dNumCopies=3 -dCollate to print the page as 
                 1,2,3,1,2,3,1,2,3.
             When the memory is insufficient, it prints the page as 
                 1,1,1,2,2,2,3,3,3.


Type of the paper (Default: Plain paper)
	Specify the type of the paper from the '-sMediaTypes' option.

	-sMediaType=TRANS	TRANSPARENCY:OHP
	-sMediaType=THICK	THICK:Card board

 (Note) When the TRANS or THICK is selected, it will print out the paper
        from the face up tray even if the output tray is selected.


RIT Control (Default: ON)
	Select '-dRITOff' to turn off the RIT control.


Orientation (Default: Panel setting)
	Select '-dLandscape' for landscape print.


Toner Save (Default: Panel setting)
	Select '-dTonerSaving' for toner save mode.


Double print (Default: Panel setting)
	Select '-dDuplex' for double print.

	(Note) Double print is available for the printer with a double printing unit.


Binding direction (Default: Panel setting)
	Select the double print abd then select '-dTumble' to specify the short edge binding.


Paper Size (Default: A4)
	Select the size of the paper from '-sPAPERSIZE'.

	-sPAPERSIZE=a3              A3
	-sPAPERSIZE=a4              A4
	-sPAPERSIZE=a5              A5
	-sPAPERSIZE=b4              B4(Japanese)
	-sPAPERSIZE=isob4           B4
	-sPAPERSIZE=b5              B5(Japanese)
	-sPAPERSIZE=isob5           B5
	-sPAPERSIZE=c5              C5
	-sPAPERSIZE=letter          Letter
	-sPAPERSIZE=halfletter      Half letter
	-sPAPERSIZE=legal           Legal
	-sPAPERSIZE=11x17           Ledger(B)
	-sPAPERSIZE=flsa,flse,glg   Government Legal
	-sPAPERSIZE=glt             Government Letter

	(Note 1) The selected paper size needs to be equipped to the printer and
             to be defined as gs_statd.ps. 
	(Note 2) If the paper size can be adjusted from the application, select 
             the same paper size that is used in this driver.


7 Handling Instructions
(1) When the landscape print is selected from the application, the right edge
    of the output might be distorted.  Please make sure to select portrait print.

(2) When A4 or LT (letter) size paper is used for an AL-C8500/C8600 feeder tray,
    set the paper horizontally on the tray. 
    If the paper is set on the tray vertically, it may affect the printing result.


8 Acknowledgements
    We thank Norihito Oomori the developer of gdevlips in the completion of this driver.


9 Changelog 

Fri Dec  5 2003  Version 3.1.3
                Japanese Printer support.

Fri Oct 31 2003  Version 3.1.2
                EPL-N2500/AL-C4100 support.
                Ghostscript 7.05-32.1 support.

Wed Jul 30 2003  Version 3.1.1
                Japanese Printer support.

Tue Jul 29 2003  Version 3.1.0(Experimental Version)
                Add Paper Size GLG.
                Correct Paper Size GLT.
                Ghostscript 7.05-20.1 support.

Fri Jan  3 2003  Version 3.0.6
                EPL-N2750 support.
                Ghostscript 6.52-9.4 support.

Tue Aug 20 2002  Version 3.0.5
                Ghostscript 6.52 support.
                AL-C1900 support.

Wed Juy  3 2002  Version 3.0.4
                Japanese Printer support.

Tue Apl 16 2002  Version 3.0.3
                AL-C4000/EPL-6100 support.

Mon Mar 11 2002  Version 3.0.2
                Ghostscript 6.51 support.
                AL-C4000 support.

Thu Oct 11 2001  Version 1.0.4
                EPL-5900 support.

Mon Jul 16 2001  Version 1.0.3
                EPL-N2120 support.

Fri May 25 2001  Version 1.0.2
                EPL-N2050/2050+ support.

Fri Feb 23 2001  Version 1.0.1
                Bug Fix.

Tue Feb 13 2001  Version 1.0.0
                New release

